### Signal

# RB RhythmDB::entry-extra-metadata-request

#### Declaration

    const GValue*
    entry_extra_metadata_request (
      RhythmDB* self,
      RhythmDBEntry* entry,
      gpointer user_data
    )

#### Description [src]

This signal is emitted to allow extra (transient) metadata to be supplied for the given entry. The detail of the signal invocation describes the specific metadata value being requested. If the object handling the signal can provide the requested item, but it isn’t immediately available, it can initiate an attempt to retrieve it. If successful, it would call `rhythmdb_emit_entry_extra_metadata_notify` when the metadata is available.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be detailed

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  The `RhythmDBEntry` for which extra metadata is being requested.

  The data is owned by the caller of the function.

#### Return value

Type: `GValue`

The extra metadata value.

The caller of the function takes ownership of the data, and is responsible for freeing it.